ClientServiceReport (gCube VRE Deploy Wizard Portlet 3.3.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.admin.vredeployer.shared.deployreport

## Class ClientServiceReport

- java.lang.Object
- - org.gcube.portlets.admin.vredeployer.shared.deployreport.ClientServiceReport

- All Implemented Interfaces:
    Serializable

      public class ClientServiceReport
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientServiceReport()`
    `ClientServiceReport(String name, String serviceClass, String version)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `getServiceClass()`
    `String` | `getVersion()`
    `void` | `setName(String name)`
    `void` | `setServiceClass(String serviceClass)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientServiceReport

          public ClientServiceReport()

    - #### ClientServiceReport

          public ClientServiceReport(String name,
                             String serviceClass,
                             String version)

      Parameters:
        `name` - service name
        `serviceClass` - service class
        `version` - its version

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        .

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - .

    - #### getServiceClass

          public String getServiceClass()

      Returns:
        .

    - #### setServiceClass

          public void setServiceClass(String serviceClass)

      Parameters:
        `serviceClass` - .

    - #### getVersion

          public String getVersion()

      Returns:
        .

    - #### setVersion

          public void setVersion(String version)

      Parameters:
        `version` - .

Copyright © 2014. All Rights Reserved.